<?php
    define("ID_LEAGUE_PARAM_NAME", "idLeague");

    define("LEAGUES_LOADER_URL", "http://www.ceskylakros.cz/utils/leaguesLoader.php");
    define("LEAGUE_MATCHES_LOADER_URL", "http://www.ceskylakros.cz/utils/leagueMatchesTabLoader.php");
    define("LEAGUE_RESULT_LOADER_URL","http://www.ceskylakros.cz/utils/leagueResultTabLoader.php");

    $idLeague = $_GET[ID_LEAGUE_PARAM_NAME];

    /**
      * Musi byt nainstalovan plugin CURL, rychlejsi nez file_get_contents.
      */
    function readJSONCURL($url) {
      $ch = curl_init();
      curl_setopt($ch, CURLOPT_HEADER, 0);
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
      curl_setopt($ch, CURLOPT_URL, $url);
      $data = curl_exec($ch);
      curl_close($ch);
      return $data;
    }

    /**
      * PHP musi mit povoleno otevirani URL pomoci fopen, konkretne v php.ini: allow_url_fopen = On
      */
    function readJSON($url) {
      return file_get_contents($url);
    }

    /**
      * Vraci URL s parametrem ligy
      */
    function getLoaderURLForLeague($url, $idLeague) {
      return $url.'?'.ID_LEAGUE_PARAM_NAME.'='.$idLeague;
    }

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <style type="text/css">
      table td, table th {
        border: 1px solid #CACACA;
        padding: 2px 4px;
      }  

      .centerText {
        text-align:center;
      }   

      th {
        background-color:#DADADA;
      }
      
      table {
        border-collapse: collapse;
      }     

      body {
        font-family:verdana;
        font-size:1em;
      }
    </style>
    <title>Demo lakrosového API - Výsledky lig v aktuální sezóně</title>
  </head>

  <body>
    <h1 id="title">Výsledky</h1>
  
    <div id="leagueChooser">
      <?php
        foreach (json_decode(readJSONCURL(LEAGUES_LOADER_URL)) as $key=>$value) {

        	echo '<a href="?idLeague='.$value[0].'">'.$value[1].'</a>&nbsp;';

        }
      ?>
    </div>  

    <br>   

    <div id="resultTabDiv">
      <table id="resultTab">
        <tr>
          <th>#</th><th>Tým</th><th>Zápasů</th><th>Výhry</th><th>Remízy</th><th>Prohry</th><th>Skóre</th><th>Body</th>
        </tr>
          <?php
            foreach (json_decode(readJSONCURL(getLoaderURLForLeague(LEAGUE_RESULT_LOADER_URL, $idLeague))) as $key=>$value) {
        	    echo '<tr><td>'.$value[0].'</td><td>'.$value[1].'</td><td>'.$value[2].'</td><td>'.$value[3].'</td><td>'.$value[4].'</td><td>'.$value[5].'</td><td>'.$value[6].' : '.$value[7].' ('.($value[6]-$value[7]).')</td><td>'.$value[8].'</td></tr>';
            }
          ?>
      </table>
    </div>
   
    <hr>   

    <div id="matchesTabDiv">
      <table id="matchesTab">
        <?php
          $tabHeader = '<tr><th>&nbsp;</th>';
          $tabContent = '';
          foreach (json_decode(readJSONCURL(getLoaderURLForLeague(LEAGUE_MATCHES_LOADER_URL, $idLeague))) as $key=>$value) {
            $tabHeader.='<th>'.$value[1].'</th>';
        	  $tabContent.= '<tr><th>'.$value[0].'</th>';
        	  
        	  for ($i=2; $i<count($value); $i++) {
                    $singleCell = '<td class="centerText">';

                   //Kazdy element je pole vysledku mezi temi tymy
                   for ($j=0; $j<count($value[$i]); $j++) {

                     // Pokud mame k zapasu zapis, pridame to jako odkaz
                    if ($value[$i][$j][1] && $value[$i][$j][1] != 'x') {
                      $singleCell.='<a href="http://www.ceskylakros.cz/'.$value[$i][$j][1].'">'.$value[$i][$j][0].'</a><br>';
                    //Kdyz ne, dame jen span
                    } else {
                      $singleCell.='<span>'.$value[$i][$j][0].'</span><br>';
                    }
                 }

              // Pridame jednu bunku se vsemi vysledky mezi tymy do aktualni radky

              $tabContent.=$singleCell.'</td>';
            }
           
            $tabContent.='</tr>';
          }
         
          echo $tabHeader;
          echo $tabContent;
        ?>
      </table>
    </div>  
  </body>
</html>